node multitask_5
  (_s_release_clk_min_max: int;
  _f_release_clk_min_max: int)
returns
  (slow_cmd_I: int;
  fast_cmd_I: int;
  _s_activate_clk: bool;
  _s_dispatch_clk: bool;
  _s_release_clk: bool;
  _f_activate_clk: bool;
  _f_dispatch_clk: bool;
  _f_release_clk: bool;
  _s_dispatched_on_a_processor: bool;
  _f_dispatched_on_a_processor: bool;
  _s_has_cpu_on_a_processor: bool;
  _f_has_cpu_on_a_processor: bool;
  schedul_ok: bool);

var
  V520_idle_f: bool;
  V521_dispatched_f: bool;
  V522_running_f: bool;
  V523_ok__f: bool;
  V524_idle_s: bool;
  V525_dispatched_s: bool;
  V526_running_s: bool;
  V527_ok__s: bool;
  (V529_next_dispatched1: bool) when V528_qs_tick;
  (V530_next_dispatched2: bool) when V528_qs_tick;
  (V531_cpt: int) when V528_qs_tick;
  (V532_pcpt: int) when V528_qs_tick;
  (V533_cpt: int) when V528_qs_tick;
  (V534_pcpt: int) when V528_qs_tick;
  (V535_dispatched: bool) when V528_qs_tick;
  (V536_edge_activate: bool) when V528_qs_tick;
  (V537_cpt: int) when V528_qs_tick;
  (V538_pcpt: int) when V528_qs_tick;
  (V539_alea: int) when V528_qs_tick;
  (V540_dispatched: bool) when V528_qs_tick;
  (V541_edge_activate: bool) when V528_qs_tick;
  (V542_cpt: int) when V528_qs_tick;
  (V543_pcpt: int) when V528_qs_tick;
  (V544_alea: int) when V528_qs_tick;
  (V545_y_has_been_emitted: bool) when V528_qs_tick;
  (V546_reinit: bool) when V528_qs_tick;
  (V547_y_has_been_emitted: bool) when V528_qs_tick;
  (V548_reinit: bool) when V528_qs_tick;
  (V549__s_dispatch_clk: bool) when V528_qs_tick;
  (V550__s_release_clk: bool) when V528_qs_tick;
  (V551__f_dispatch_clk: bool) when V528_qs_tick;
  (V552__f_release_clk: bool) when V528_qs_tick;
  (V553_dispatched2: bool) when V528_qs_tick;
  (V554_cpu2: bool) when V528_qs_tick;
  (V555_cpu1: bool) when V528_qs_tick;
  V528_qs_tick: bool;
  V571_f_O_condact: int;
  V572_s_O_condact: int;

let
  slow_cmd_I = (0 -> (pre (if _s_dispatch_clk then V572_s_O_condact else 
  slow_cmd_I)));
  fast_cmd_I = (0 -> (pre (if _f_release_clk then V571_f_O_condact else 
  fast_cmd_I)));
  _s_activate_clk = (if true then (current (((false) when V528_qs_tick) -> (if 
  ((not (pre V545_y_has_been_emitted)) and (((false) when V528_qs_tick) -> (
  V554_cpu2 and (not (pre V554_cpu2))))) then ((true) when V528_qs_tick) else 
  (if ((pre V545_y_has_been_emitted) and V546_reinit) then ((false) when 
  V528_qs_tick) else ((false) when V528_qs_tick))))) else false);
  _s_dispatch_clk = (if true then (current V549__s_dispatch_clk) else false);
  _s_release_clk = (if true then (current V550__s_release_clk) else false);
  _f_activate_clk = (if true then (current (((false) when V528_qs_tick) -> (if 
  ((not (pre V547_y_has_been_emitted)) and (((false) when V528_qs_tick) -> (
  V555_cpu1 and (not (pre V555_cpu1))))) then ((true) when V528_qs_tick) else 
  (if ((pre V547_y_has_been_emitted) and V548_reinit) then ((false) when 
  V528_qs_tick) else ((false) when V528_qs_tick))))) else false);
  _f_dispatch_clk = (if true then (current V551__f_dispatch_clk) else false);
  _f_release_clk = (if true then (current V552__f_release_clk) else false);
  _s_dispatched_on_a_processor = (if true then (current V553_dispatched2) else 
  false);
  _f_dispatched_on_a_processor = (if true then (current V555_cpu1) else false);
  _s_has_cpu_on_a_processor = (if true then (current V554_cpu2) else false);
  _f_has_cpu_on_a_processor = (if true then (current V555_cpu1) else false);
  schedul_ok = (V523_ok__f and V527_ok__s);
  V520_idle_f = (((((((true -> (pre V520_idle_f)) and (not _f_activate_clk)) 
  and (not _f_release_clk)) and (not _f_dispatch_clk)) or ((((true -> (pre 
  V520_idle_f)) and _f_activate_clk) and _f_release_clk) and _f_dispatch_clk)) 
  or ((((false -> (pre V521_dispatched_f)) and _f_activate_clk) and 
  _f_release_clk) and (not _f_dispatch_clk))) or ((((false -> (pre 
  V522_running_f)) and (not _f_activate_clk)) and _f_release_clk) and (not 
  _f_dispatch_clk)));
  V521_dispatched_f = (((((false -> (pre V521_dispatched_f)) and (not 
  _f_activate_clk)) and (not _f_release_clk)) and (not _f_dispatch_clk)) or (((
  (true -> (pre V520_idle_f)) and (not _f_activate_clk)) and (not 
  _f_release_clk)) and _f_dispatch_clk));
  V522_running_f = ((((((false -> (pre V522_running_f)) and (not 
  _f_activate_clk)) and (not _f_release_clk)) and (not _f_dispatch_clk)) or (((
  (false -> (pre V521_dispatched_f)) and _f_activate_clk) and (not 
  _f_release_clk)) and (not _f_dispatch_clk))) or ((((true -> (pre V520_idle_f)
  ) and _f_activate_clk) and (not _f_release_clk)) and _f_dispatch_clk));
  V523_ok__f = ((V520_idle_f or V521_dispatched_f) or V522_running_f);
  V524_idle_s = (((((((true -> (pre V524_idle_s)) and (not _s_activate_clk)) 
  and (not _s_release_clk)) and (not _s_dispatch_clk)) or ((((true -> (pre 
  V524_idle_s)) and _s_activate_clk) and _s_release_clk) and _s_dispatch_clk)) 
  or ((((false -> (pre V525_dispatched_s)) and _s_activate_clk) and 
  _s_release_clk) and (not _s_dispatch_clk))) or ((((false -> (pre 
  V526_running_s)) and (not _s_activate_clk)) and _s_release_clk) and (not 
  _s_dispatch_clk)));
  V525_dispatched_s = (((((false -> (pre V525_dispatched_s)) and (not 
  _s_activate_clk)) and (not _s_release_clk)) and (not _s_dispatch_clk)) or (((
  (true -> (pre V524_idle_s)) and (not _s_activate_clk)) and (not 
  _s_release_clk)) and _s_dispatch_clk));
  V526_running_s = ((((((false -> (pre V526_running_s)) and (not 
  _s_activate_clk)) and (not _s_release_clk)) and (not _s_dispatch_clk)) or (((
  (false -> (pre V525_dispatched_s)) and _s_activate_clk) and (not 
  _s_release_clk)) and (not _s_dispatch_clk))) or ((((true -> (pre V524_idle_s)
  ) and _s_activate_clk) and (not _s_release_clk)) and _s_dispatch_clk));
  V527_ok__s = ((V524_idle_s or V525_dispatched_s) or V526_running_s);
  V529_next_dispatched1 = (if V540_dispatched then (not V552__f_release_clk) 
  else V551__f_dispatch_clk);
  V530_next_dispatched2 = (if V535_dispatched then (not V550__s_release_clk) 
  else V549__s_dispatch_clk);
  V531_cpt = (if V549__s_dispatch_clk then ((15) when V528_qs_tick) else (
  V532_pcpt - ((1) when V528_qs_tick)));
  V532_pcpt = (((15) when V528_qs_tick) -> (pre V531_cpt));
  V533_cpt = (if V551__f_dispatch_clk then ((10) when V528_qs_tick) else (
  V534_pcpt - ((1) when V528_qs_tick)));
  V534_pcpt = (((10) when V528_qs_tick) -> (pre V533_cpt));
  V535_dispatched = (((false) when V528_qs_tick) -> (pre V530_next_dispatched2)
  );
  V536_edge_activate = (if V535_dispatched then ((false) when V528_qs_tick) 
  else V549__s_dispatch_clk);
  V537_cpt = (if V535_dispatched then (if V554_cpu2 then (V538_pcpt + ((1) when 
  V528_qs_tick)) else V538_pcpt) else ((0) when V528_qs_tick));
  V538_pcpt = (((0) when V528_qs_tick) -> (pre V537_cpt));
  V539_alea = (if V536_edge_activate then ((_s_release_clk_min_max) when 
  V528_qs_tick) else (((0) when V528_qs_tick) -> (pre V539_alea)));
  V540_dispatched = (((false) when V528_qs_tick) -> (pre V529_next_dispatched1)
  );
  V541_edge_activate = (if V540_dispatched then ((false) when V528_qs_tick) 
  else V551__f_dispatch_clk);
  V542_cpt = (if V540_dispatched then (if V555_cpu1 then (V543_pcpt + ((1) when 
  V528_qs_tick)) else V543_pcpt) else ((0) when V528_qs_tick));
  V543_pcpt = (((0) when V528_qs_tick) -> (pre V542_cpt));
  V544_alea = (if V541_edge_activate then ((_f_release_clk_min_max) when 
  V528_qs_tick) else (((0) when V528_qs_tick) -> (pre V544_alea)));
  V545_y_has_been_emitted = (((false) when V528_qs_tick) -> (if ((not (pre 
  V545_y_has_been_emitted)) and (((false) when V528_qs_tick) -> (V554_cpu2 and 
  (not (pre V554_cpu2))))) then ((true) when V528_qs_tick) else (if ((pre 
  V545_y_has_been_emitted) and V546_reinit) then ((false) when V528_qs_tick) 
  else (pre V545_y_has_been_emitted))));
  V546_reinit = (not V553_dispatched2);
  V547_y_has_been_emitted = (((false) when V528_qs_tick) -> (if ((not (pre 
  V547_y_has_been_emitted)) and (((false) when V528_qs_tick) -> (V555_cpu1 and 
  (not (pre V555_cpu1))))) then ((true) when V528_qs_tick) else (if ((pre 
  V547_y_has_been_emitted) and V548_reinit) then ((false) when V528_qs_tick) 
  else (pre V547_y_has_been_emitted))));
  V548_reinit = (not V555_cpu1);
  V549__s_dispatch_clk = (((true) when V528_qs_tick) -> (V532_pcpt = ((1) when 
  V528_qs_tick)));
  V550__s_release_clk = (V554_cpu2 and (V537_cpt = V539_alea));
  V551__f_dispatch_clk = (((true) when V528_qs_tick) -> (V534_pcpt = ((1) when 
  V528_qs_tick)));
  V552__f_release_clk = (V555_cpu1 and (V542_cpt = V544_alea));
  V553_dispatched2 = (((false) when V528_qs_tick) -> (pre V530_next_dispatched2
  ));
  V554_cpu2 = (V553_dispatched2 and (not V555_cpu1));
  V555_cpu1 = (((false) when V528_qs_tick) -> (pre V529_next_dispatched1));
  V528_qs_tick = true;
  V571_f_O_condact = (if _f_activate_clk then (current ((0) when 
  _f_activate_clk)) else (0 -> (pre V571_f_O_condact)));
  V572_s_O_condact = (if _s_activate_clk then (current ((0) when 
  _s_activate_clk)) else (0 -> (pre V572_s_O_condact)));
tel.

