unsafe function random_int
  (min: int;
  max: int)
returns
  (a: int).

node multitask_16
  (dummy_in: bool)
returns
  (slow_cmd_I: int;
  fast_cmd_I: int;
  _s_activate_clk: bool;
  _s_dispatch_clk: bool;
  _s_release_clk: bool;
  _f_activate_clk: bool;
  _f_dispatch_clk: bool;
  _f_release_clk: bool;
  _s_dispatched_on_a_processor: bool;
  _f_dispatched_on_a_processor: bool;
  _s_has_cpu_on_a_processor: bool;
  _f_has_cpu_on_a_processor: bool;
  schedul_ok: bool);

var
  V586_idle_f: bool;
  V587_dispatched_f: bool;
  V588_running_f: bool;
  V589_ok__f: bool;
  V590_idle_s: bool;
  V591_dispatched_s: bool;
  V592_running_s: bool;
  V593_ok__s: bool;
  (V595_next_dispatched1: bool) when V594_qs_tick;
  (V596_next_dispatched2: bool) when V594_qs_tick;
  (V597_cpt: int) when V594_qs_tick;
  (V598_pcpt: int) when V594_qs_tick;
  (V599_cpt: int) when V594_qs_tick;
  (V600_pcpt: int) when V594_qs_tick;
  (V601_dispatched: bool) when V594_qs_tick;
  (V602_edge_activate: bool) when V594_qs_tick;
  (V603_cpt: int) when V594_qs_tick;
  (V604_pcpt: int) when V594_qs_tick;
  (V605_alea: int) when V594_qs_tick;
  (V606_dispatched: bool) when V594_qs_tick;
  (V607_edge_activate: bool) when V594_qs_tick;
  (V608_cpt: int) when V594_qs_tick;
  (V609_pcpt: int) when V594_qs_tick;
  (V610_alea: int) when V594_qs_tick;
  (V611_y_has_been_emitted: bool) when V594_qs_tick;
  (V612_reinit: bool) when V594_qs_tick;
  (V613_y_has_been_emitted: bool) when V594_qs_tick;
  (V614_reinit: bool) when V594_qs_tick;
  (V615__s_dispatch_clk: bool) when V594_qs_tick;
  (V616__s_release_clk: bool) when V594_qs_tick;
  (V617__f_dispatch_clk: bool) when V594_qs_tick;
  (V618__f_release_clk: bool) when V594_qs_tick;
  (V619_dispatched2: bool) when V594_qs_tick;
  (V620_cpu2: bool) when V594_qs_tick;
  (V621_cpu1: bool) when V594_qs_tick;
  V594_qs_tick: bool;
  V640_f_O_condact: int;
  V641_s_O_condact: int;

let
  slow_cmd_I = (0 -> (pre (if _s_dispatch_clk then V641_s_O_condact else 
  slow_cmd_I)));
  fast_cmd_I = (0 -> (pre (if _f_release_clk then V640_f_O_condact else 
  fast_cmd_I)));
  _s_activate_clk = (if true then (current (((false) when V594_qs_tick) -> (if 
  ((not (pre V611_y_has_been_emitted)) and (((false) when V594_qs_tick) -> (
  V620_cpu2 and (not (pre V620_cpu2))))) then ((true) when V594_qs_tick) else 
  (if ((pre V611_y_has_been_emitted) and V612_reinit) then ((false) when 
  V594_qs_tick) else ((false) when V594_qs_tick))))) else false);
  _s_dispatch_clk = (if true then (current V615__s_dispatch_clk) else false);
  _s_release_clk = (if true then (current V616__s_release_clk) else false);
  _f_activate_clk = (if true then (current (((false) when V594_qs_tick) -> (if 
  ((not (pre V613_y_has_been_emitted)) and (((false) when V594_qs_tick) -> (
  V621_cpu1 and (not (pre V621_cpu1))))) then ((true) when V594_qs_tick) else 
  (if ((pre V613_y_has_been_emitted) and V614_reinit) then ((false) when 
  V594_qs_tick) else ((false) when V594_qs_tick))))) else false);
  _f_dispatch_clk = (if true then (current V617__f_dispatch_clk) else false);
  _f_release_clk = (if true then (current V618__f_release_clk) else false);
  _s_dispatched_on_a_processor = (if true then (current V619_dispatched2) else 
  false);
  _f_dispatched_on_a_processor = (if true then (current V621_cpu1) else false);
  _s_has_cpu_on_a_processor = (if true then (current V620_cpu2) else false);
  _f_has_cpu_on_a_processor = (if true then (current V621_cpu1) else false);
  schedul_ok = (V589_ok__f and V593_ok__s);
  V586_idle_f = (((((((true -> (pre V586_idle_f)) and (not _f_activate_clk)) 
  and (not _f_release_clk)) and (not _f_dispatch_clk)) or ((((true -> (pre 
  V586_idle_f)) and _f_activate_clk) and _f_release_clk) and _f_dispatch_clk)) 
  or ((((false -> (pre V587_dispatched_f)) and _f_activate_clk) and 
  _f_release_clk) and (not _f_dispatch_clk))) or ((((false -> (pre 
  V588_running_f)) and (not _f_activate_clk)) and _f_release_clk) and (not 
  _f_dispatch_clk)));
  V587_dispatched_f = (((((false -> (pre V587_dispatched_f)) and (not 
  _f_activate_clk)) and (not _f_release_clk)) and (not _f_dispatch_clk)) or (((
  (true -> (pre V586_idle_f)) and (not _f_activate_clk)) and (not 
  _f_release_clk)) and _f_dispatch_clk));
  V588_running_f = ((((((false -> (pre V588_running_f)) and (not 
  _f_activate_clk)) and (not _f_release_clk)) and (not _f_dispatch_clk)) or (((
  (false -> (pre V587_dispatched_f)) and _f_activate_clk) and (not 
  _f_release_clk)) and (not _f_dispatch_clk))) or ((((true -> (pre V586_idle_f)
  ) and _f_activate_clk) and (not _f_release_clk)) and _f_dispatch_clk));
  V589_ok__f = ((V586_idle_f or V587_dispatched_f) or V588_running_f);
  V590_idle_s = (((((((true -> (pre V590_idle_s)) and (not _s_activate_clk)) 
  and (not _s_release_clk)) and (not _s_dispatch_clk)) or ((((true -> (pre 
  V590_idle_s)) and _s_activate_clk) and _s_release_clk) and _s_dispatch_clk)) 
  or ((((false -> (pre V591_dispatched_s)) and _s_activate_clk) and 
  _s_release_clk) and (not _s_dispatch_clk))) or ((((false -> (pre 
  V592_running_s)) and (not _s_activate_clk)) and _s_release_clk) and (not 
  _s_dispatch_clk)));
  V591_dispatched_s = (((((false -> (pre V591_dispatched_s)) and (not 
  _s_activate_clk)) and (not _s_release_clk)) and (not _s_dispatch_clk)) or (((
  (true -> (pre V590_idle_s)) and (not _s_activate_clk)) and (not 
  _s_release_clk)) and _s_dispatch_clk));
  V592_running_s = ((((((false -> (pre V592_running_s)) and (not 
  _s_activate_clk)) and (not _s_release_clk)) and (not _s_dispatch_clk)) or (((
  (false -> (pre V591_dispatched_s)) and _s_activate_clk) and (not 
  _s_release_clk)) and (not _s_dispatch_clk))) or ((((true -> (pre V590_idle_s)
  ) and _s_activate_clk) and (not _s_release_clk)) and _s_dispatch_clk));
  V593_ok__s = ((V590_idle_s or V591_dispatched_s) or V592_running_s);
  V595_next_dispatched1 = (if V606_dispatched then (not V618__f_release_clk) 
  else V617__f_dispatch_clk);
  V596_next_dispatched2 = (if V601_dispatched then (not V616__s_release_clk) 
  else V615__s_dispatch_clk);
  V597_cpt = (if V615__s_dispatch_clk then ((15) when V594_qs_tick) else (
  V598_pcpt - ((1) when V594_qs_tick)));
  V598_pcpt = (((15) when V594_qs_tick) -> (pre V597_cpt));
  V599_cpt = (if V617__f_dispatch_clk then ((10) when V594_qs_tick) else (
  V600_pcpt - ((1) when V594_qs_tick)));
  V600_pcpt = (((10) when V594_qs_tick) -> (pre V599_cpt));
  V601_dispatched = (((false) when V594_qs_tick) -> (pre V596_next_dispatched2)
  );
  V602_edge_activate = (if V601_dispatched then ((false) when V594_qs_tick) 
  else V615__s_dispatch_clk);
  V603_cpt = (if V601_dispatched then (if V620_cpu2 then (V604_pcpt + ((1) when 
  V594_qs_tick)) else V604_pcpt) else ((0) when V594_qs_tick));
  V604_pcpt = (((0) when V594_qs_tick) -> (pre V603_cpt));
  V605_alea = (if V602_edge_activate then random_int (((5) when V594_qs_tick), 
  ((5) when V594_qs_tick)) else (((0) when V594_qs_tick) -> (pre V605_alea)));
  V606_dispatched = (((false) when V594_qs_tick) -> (pre V595_next_dispatched1)
  );
  V607_edge_activate = (if V606_dispatched then ((false) when V594_qs_tick) 
  else V617__f_dispatch_clk);
  V608_cpt = (if V606_dispatched then (if V621_cpu1 then (V609_pcpt + ((1) when 
  V594_qs_tick)) else V609_pcpt) else ((0) when V594_qs_tick));
  V609_pcpt = (((0) when V594_qs_tick) -> (pre V608_cpt));
  V610_alea = (if V607_edge_activate then random_int (((1) when V594_qs_tick), 
  ((1) when V594_qs_tick)) else (((0) when V594_qs_tick) -> (pre V610_alea)));
  V611_y_has_been_emitted = (((false) when V594_qs_tick) -> (if ((not (pre 
  V611_y_has_been_emitted)) and (((false) when V594_qs_tick) -> (V620_cpu2 and 
  (not (pre V620_cpu2))))) then ((true) when V594_qs_tick) else (if ((pre 
  V611_y_has_been_emitted) and V612_reinit) then ((false) when V594_qs_tick) 
  else (pre V611_y_has_been_emitted))));
  V612_reinit = (not V619_dispatched2);
  V613_y_has_been_emitted = (((false) when V594_qs_tick) -> (if ((not (pre 
  V613_y_has_been_emitted)) and (((false) when V594_qs_tick) -> (V621_cpu1 and 
  (not (pre V621_cpu1))))) then ((true) when V594_qs_tick) else (if ((pre 
  V613_y_has_been_emitted) and V614_reinit) then ((false) when V594_qs_tick) 
  else (pre V613_y_has_been_emitted))));
  V614_reinit = (not V621_cpu1);
  V615__s_dispatch_clk = (((true) when V594_qs_tick) -> (V598_pcpt = ((1) when 
  V594_qs_tick)));
  V616__s_release_clk = (V620_cpu2 and (V603_cpt = V605_alea));
  V617__f_dispatch_clk = (((true) when V594_qs_tick) -> (V600_pcpt = ((1) when 
  V594_qs_tick)));
  V618__f_release_clk = (V621_cpu1 and (V608_cpt = V610_alea));
  V619_dispatched2 = (((false) when V594_qs_tick) -> (pre V596_next_dispatched2
  ));
  V620_cpu2 = (V619_dispatched2 and (not V621_cpu1));
  V621_cpu1 = (((false) when V594_qs_tick) -> (pre V595_next_dispatched1));
  V594_qs_tick = true;
  V640_f_O_condact = (if _f_activate_clk then (current ((0) when 
  _f_activate_clk)) else (0 -> (pre V640_f_O_condact)));
  V641_s_O_condact = (if _s_activate_clk then (current ((0) when 
  _s_activate_clk)) else (0 -> (pre V641_s_O_condact)));
tel.

